OpenJPEG 2.5.4

Data Fields
opj_tile_info Struct Reference

Index structure : information regarding tiles. More...

`#include <openjpeg.h>`

## Data Fields
double * | thresh
| value of thresh for each layer by tile cfr.
int | tileno
| number of tile
int | start_pos
| start position
int | end_header
| end position of the header
int | end_pos
| end position
int | pw [33]
| precinct number for each resolution level (width)
int | ph [33]
| precinct number for each resolution level (height)
int | pdx [33]
| precinct size (in power of 2), in X for each resolution level
int | pdy [33]
| precinct size (in power of 2), in Y for each resolution level
opj_packet_info_t * | packet
| information concerning packets inside tile
int | numpix
| number of pixels of the tile
double | distotile
| distortion of the tile
int | marknum
| number of markers
opj_marker_info_t * | marker
| list of markers
int | maxmarknum
| actual size of markers array
int | num_tps
| number of tile parts
opj_tp_info_t * | tp
| information concerning tile parts

## Detailed Description

Index structure : information regarding tiles.

## Field Documentation

## ◆ distotile

double opj_tile_info::distotile

distortion of the tile

Referenced by opj_tcd_rateallocate().

## ◆ end_header

int opj_tile_info::end_header

end position of the header

Referenced by opj_t2_encode_packets().

## ◆ end_pos

int opj_tile_info::end_pos

end position

## ◆ marker

opj_marker_info_t* opj_tile_info::marker

list of markers

Referenced by opj_write_tilemhix().

## ◆ marknum

int opj_tile_info::marknum

number of markers

Referenced by opj_write_tilemhix().

## ◆ maxmarknum

int opj_tile_info::maxmarknum

actual size of markers array

## ◆ num_tps

int opj_tile_info::num_tps

number of tile parts

Referenced by get_num_max_tile_parts(), and opj_write_tpixfaix().

## ◆ numpix

int opj_tile_info::numpix

number of pixels of the tile

Referenced by opj_tcd_rateallocate().

## ◆ packet

opj_packet_info_t* opj_tile_info::packet

information concerning packets inside tile

Referenced by opj_t2_encode_packet(), opj_t2_encode_packets(), opj_tcd_encode_tile(), opj_write_phixfaix(), and opj_write_ppixfaix().

## ◆ pdx

int opj_tile_info::pdx[33]

precinct size (in power of 2), in X for each resolution level

Referenced by opj_tcd_encode_tile().

## ◆ pdy

int opj_tile_info::pdy[33]

precinct size (in power of 2), in Y for each resolution level

Referenced by opj_tcd_encode_tile().

## ◆ ph

int opj_tile_info::ph[33]

precinct number for each resolution level (height)

Referenced by opj_tcd_encode_tile(), opj_write_phixfaix(), and opj_write_ppixfaix().

## ◆ pw

int opj_tile_info::pw[33]

precinct number for each resolution level (width)

Referenced by opj_tcd_encode_tile(), opj_write_phixfaix(), and opj_write_ppixfaix().

## ◆ start_pos

int opj_tile_info::start_pos

start position

## ◆ thresh

double* opj_tile_info::thresh

value of thresh for each layer by tile cfr.

Marcela

Referenced by opj_tcd_rateallocate().

## ◆ tileno

int opj_tile_info::tileno

number of tile

## ◆ tp

opj_tp_info_t* opj_tile_info::tp

information concerning tile parts

Referenced by opj_write_tilemhix(), and opj_write_tpixfaix().

The documentation for this struct was generated from the following file:

- openjpeg.h